clear 

is_imgs = false; % true : images / false : videos
is_test = true;

load('aeroplane_data_small.mat');

% linear function to optimize
% i.e. f(x) = argmin_{v in S} <v, x>

if is_imgs 
 [x_0, S_0, alpha_0, fun_optim, ids] = init_images(var_index);   
else
 [x_0, S_0, alpha_0, fun_optim, ids] = init_videos(var_index, edge_index,'mex');   
end

opts.Tmax  = 50000; % max number of iteration
opts.TOL   = 1e-5; % tolerance for convergence
opts.eps   = 1e-12; % eps in matlab = 1e-16
opts.verbose = true;

[minx,minf,x_t,f_t,S_k] = FW(x_0, S_0, alpha_0, A, b,  fun_optim, opts);

cost_fun =@(y) .5 * y' *A * y + b' * y;

[minscore,sm] = rounding(S_k, cost_fun);
